import request from '/@/utils/request';
//#region ====================== 母表格列表 ======================
/**
 *
 * @summary
 */
export async function GetAll(req: any = request) {
	return req({
		url: '/Monitor/Point/Template/GetAll@V1.0',
		method: 'GET',
	});
}
//插入一条
export async function InsertGetByID(params, req: any = request) {
	return req({
		url: '/Monitor/Point/Template/Insert@V1.0',
		method: 'POST',
		data: params,
	});
}
//更新一条
export async function UpdateGetByID(params, req: any = request) {
	return req({
		url: '/Monitor/Point/Template/Update@V1.0',
		method: 'PUT',
		data: params,
	});
}
//删除一条
export async function DeleteGetByID(params, req: any = request) {
	return req({
		url: '/Monitor/Point/Template/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
}
/**
 * @summary 更新用户排序码
 */
export const UpdateUserSorter = async (params) => {
	return request({
		url: '/Monitor/Point/Template/UpdateSortCode@V1.0',
		method: 'PUT',
		data: params,
	});
};
//根据测点ID获取相应的列表
export async function GetByGroupID(params, req: any = request) {
	return req({
		url: '/Monitor/Signal/Template/GetByTemplateID@V1.0',
		method: 'GET',
		params: params,
	});
}
//获取系统标签
export async function GetBySysType(params, req: any = request) {
	return req({
		url: '/Basic/Sys/Flag/Std/GetFlagListBySysType@V1.0',
		method: 'GET',
		params: params,
	});
}

/**
 * @summary 更新测点模板使用状态
 */
export const UpdateMonitorPointTemplateUseStatus = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Template/UpdateUseStatus@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 更新测点模板 sorter
 */
export const UpdatePointTemplateSorter = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Template/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};
//#endregion
